﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.Printing;
using Infragistics.Win.UltraWinTabs;
using Infragistics.Win.UltraWinTabControl;

namespace UltraChartColumnChartLegendCustom
{
    public partial class MyControl : UltraPrintPreviewDialog
    {
        private TabItemUIElement currentTab2;
        public MyControl()
        {
            InitializeComponent();
            ultraTabControl2.Width = 25;
            ultraTabControl1.Height = 0;
        }

        private void ultraTabControl2_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            currentTab2 = e.Element.GetAncestor(typeof(TabItemUIElement)) as TabItemUIElement;
        }

        private void ultraTabControl2_MouseLeaveElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            currentTab2 = null;
        }

        private void ultraTabControl2_MouseClick(object sender, MouseEventArgs e)
        {
            if (currentTab2 != null)
            {
                if (currentTab2.TabItem.Index == 0)
                {
                    // Option 1
                    // If you want to use TabPage area for something
                    //if (ultraTabControl2.Width > 50) ultraTabControl2.Width = 25;
                    //else ultraTabControl2.Width = 200;

                    //Option 2
                    // Show/Hide ThumbnailArea
                    if(this.ThumbnailAreaVisible) this.ThumbnailAreaVisible = false;
                    else this.ThumbnailAreaVisible = true;
                }
                if (currentTab2.TabItem.Index == 1)
                {
                    ultraTabControl2.Tabs[0].Active = true;
                    ultraTabControl2.Tabs[0].Selected = true;
                }
                if (currentTab2.TabItem.Index == 2 || currentTab2.TabItem.Index == 3)
                {
                    if (ultraTabControl1.Height > 50) ultraTabControl1.Height = 0;
                    else ultraTabControl1.Height = 120;
                }
            }
        }

        private void UserControl2_Resize(object sender, EventArgs e)
        {
            ultraTabControl2.Tabs[1].FixedWidth = this.Height - 250;
        }
    }
}
